# abeliangroup

## Name

abeliangroup — An abelian group

## Synopsis

Content Model

    abeliangroup ::= (#PCDATA)

Attributes
Name | Type
`rank` | NUMBER (required)

## Description

An `abeliangroup` element stores a single abelian group.

The rank of the abelian group is specified by the `rank` attribute.

The torsion elements of the abelian group are stored in the character data of this XML element as a whitespace-separated list of integers. Each integer `k` corresponds to a Z_`k` torsion element of the group.

### Parents

The following elements contain `abeliangroup`: `H1`, `H1Bdry`, `H1Rel`, `H2`.

### Children

Element `abeliangroup` has no children.

## Attributes

`rank`

  The rank of this abelian group; this should be a non-negative integer.

## Example

The following XML snippet represents the group `2 Z + Z_3 + Z_9`.

    <abeliangroup rank="2"> 3 9 </abeliangroup>